#include<bits/stdc++.h>

using namespace std;

long long a[100001], u = 0;

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, m;
    cin >> n >> m;
    for(int i = 0; i < n; i++)    cin >> a[i];
    for(int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        if(abs( a[x - 1] ) > abs( a[y - 1] ))
        {
            if(a[x - 1] < 0)   u += -1*a[x - 1] - a[y - 1];
            else u += a[x - 1] + a[y - 1];
        }
        else
        {
            if(a[y - 1] < 0)   u += -1*a[y - 1] - a[x - 1];
            else u += a[y - 1] + a[x - 1];
        }
    }
    cout << u <<endl;
}